checkSolution {arf3DS4} | R Documentation

## Check the integrity of an ARF model

### Description

Check the integrity of an ARF model for bounded parameters.

### Usage

    checkSolution(arfmodel, options = loadOptions(arfmodel),
    dat = readData(.model.avgdatfile(arfmodel)), thres = 6)

### Arguments

`arfmodel` | A model-object (class `model`)
`options` | An options-object (class `options`)
`dat` | Average datafile.
`thres` | Number of digits for equality check.

### Value

Returns the model object with added warnings if parameters are on a bound.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

[Package arf3DS4 version 2.5-10 Index]